OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.FragmentCoverageToColor

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVFragmentCoverageToColor :: MonadIO m => m Bool
- gl_NV_fragment_coverage_to_color :: Bool
- gl_FRAGMENT_COVERAGE_COLOR_NV :: GLenum
- gl_FRAGMENT_COVERAGE_TO_COLOR_NV :: GLenum
- glFragmentCoverageColorNV :: MonadIO m => GLuint -> m ()

# Extension Support

glGetNVFragmentCoverageToColor :: MonadIO m => m Bool

Is the NV_fragment_coverage_to_color extension supported?

gl_NV_fragment_coverage_to_color :: Bool

Is the NV_fragment_coverage_to_color extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVFragmentCoverageToColor` in those cases instead.

# Enums

gl_FRAGMENT_COVERAGE_COLOR_NV :: GLenum

gl_FRAGMENT_COVERAGE_TO_COLOR_NV :: GLenum

# Functions

glFragmentCoverageColorNV

Arguments

:: MonadIO m |
=> GLuint | `color`.
-> m () |